require 'minitest/autorun'
require 'spreadsheet_agent/db'

class TC_SpreadsheetAgentDbTest < MiniTest::Test
  def test_instantiate_db
    conf_file = File.expand_path(File.dirname( __FILE__ )) + '/../config/agent.conf.yml'
    unless File.exists?( conf_file )
      $stderr.puts "You must create a valid test Google Spreadsheet and a valid #{ conf_file } configuration file pointing to it to run the tests. See README.txt file for more information on how to run the tests."
      exit
    end

    google_db = SpreadsheetAgent::Db.new()
    refute_nil google_db
    assert_instance_of(SpreadsheetAgent::Db, google_db)
  end
end #TC_SpreadsheetAgentDbTest
